#ifndef PIECE_LOGIC_H
#define PIECE_LOGIC_H

#include "game_state.h"

bool white_team(uint8_t piece);
bool opposite_teams(uint8_t piece_one, uint8_t piece_two);
bool square_is_safe(uint8_t row, uint8_t column, Game_State_t * game_state);
bool cast_a_ray(uint8_t piece, int8_t direction_r, int8_t direction_c, uint8_t column, uint8_t row, Game_State_t * game_state);
bool Check_If_Player_Can_Move(bool white, Game_State_t * game_state);
bool Mark_Potential_Moves(uint8_t piece, uint8_t column, uint8_t row, Game_State_t * game_state);

#endif
